diff -up splix-315/splix/ppd/samsung.drv.in splix-315/splix/ppd/samsung.drv.in
--- splix-315/splix/ppd/samsung.drv.in	2013-08-26 21:45:31.000000000 +0200
+++ splix-315/splix/ppd/samsung.drv.in	2015-12-29 11:01:10.646489492 +0100
@@ -39,6 +39,7 @@ Manufacturer "Samsung"
             Resolution k 1 0 0 0 "300dpi/300 DPI"
  
             ModelName "SCX-4200"
+            Attribute "1284DeviceID" "" "MFG:Samsung;MDL:SCX-4200 Series;CMD:GDI;"
             PCFileName "scx4200.ppd"
         } {
             Resolution k 1 0 0 0 "300dpi/300 DPI"
@@ -83,6 +84,7 @@ Manufacturer "Samsung"
                     PCFileName "ml1520.ppd"
                 } {
                     ModelName "ML-1610"
+                    Attribute "1284DeviceID" "" "MFG:Samsung;MDL:ML-1610;CMD:GDI;"
                     PCFileName "ml1610.ppd"
                 } {
                     ModelName "ML-1710"
@@ -121,6 +123,7 @@ Manufacturer "Samsung"
                     Throughput 22
     		{
                     	ModelName "ML-2250"
+                    	Attribute "1284DeviceID" "" "MFG:Samsung;MDL:ML-2250;"
     	                PCFileName "ml2250.ppd"
     		} {
                     	ModelName "ML-2251"
@@ -163,9 +166,11 @@ Manufacturer "Samsung"
                     PCFileName "ml1630.ppd"
                 } {
                     ModelName "ML-1640"
+                    Attribute "1284DeviceID" "" "MFG:Samsung;MDL:ML-1640 Series;CMD:GDI,FWV;"
                     PCFileName "ml1640.ppd"
                 } {
                     ModelName "ML-2010"
+                    Attribute "1284DeviceID" "" "MFG:Samsung;MDL:ML-2010;CMD:GDI;"
                     PCFileName "ml2010.ppd"
                 } {
                     ModelName "ML-2015"
@@ -177,6 +182,7 @@ Manufacturer "Samsung"
                     #import "srtmode.defs"
     
                     ModelName "ML-2510"
+                    Attribute "1284DeviceID" "" "MFG:Samsung;MDL:ML-2510 Series;CMD:GDI;"
                     PCFileName "ml2510.ppd"
                 }
             }
@@ -193,15 +199,18 @@ Manufacturer "Samsung"
     
                 {
                     ModelName "ML-1660"
+                    Attribute "1284DeviceID" "" "MFG:Samsung;MDL:ML-1660 Series;CMD:GDI,FWV,EXT;"
                     PCFileName "ml1660.ppd"
                 } {
                     ModelName "ML-1910"
                     PCFileName "ml1910.ppd"
                 } {
                     ModelName "ML-2525"
+                    Attribute "1284DeviceID" "" "MFG:Samsung;MDL:ML-2525 Series;CMD:GDI,FWV,EXT;"
                     PCFileName "ml2525.ppd"
                 } {
                     ModelName "ML-2525W"
+                    Attribute "1284DeviceID" "" "MFG:Samsung;MDL:ML-2525W Series;CMD:GDI,FWV,EXT;"
                     PCFileName "ml2525w.ppd"
                 }
             } {
@@ -239,6 +248,7 @@ Manufacturer "Samsung"
                 Attribute QPDL PacketSize "512"
                 {
                     ModelName "ML-2160"
+                    Attribute "1284DeviceID" "" "MFG:Samsung;MDL:ML-2160 Series;CMD:SPL,FWV,PIC,BDN,EXT;"
                     PCFileName "ml2160.ppd"
 	        }
             }
@@ -465,6 +475,7 @@ Manufacturer "Samsung"
         Attribute General CMSFile "CLP-310"
 
         ModelName "CLP-310"
+        Attribute "1284DeviceID" "" "MFG:Samsung;MDL:CLP-310 Series;CMD:SPLC,FWV;"
         PCFileName "clp310.ppd"
     }{
         Attribute General CMSFile "CLP-315"
diff -up splix-315/splix/ppd/xerox.drv.in splix-315/splix/ppd/xerox.drv.in
--- splix-315/splix/ppd/xerox.drv.in	2013-08-26 17:22:00.000000000 +0200
+++ splix-315/splix/ppd/xerox.drv.in	2015-12-29 11:03:33.639830777 +0100
@@ -31,6 +31,7 @@ Manufacturer "Xerox"
 	    Resolution k 1 0 0 0 "300dpi/300 DPI"
 
             ModelName "WorkCentre 3119"
+            Attribute "1284DeviceID" "" "MFG:Xerox;MDL:WorkCentre 3119 Series;CMD:GDI;"
             PCFileName "wc3119.ppd"
 	} {
             Resolution k 1 0 0 0 "300dpi/300 DPI"
@@ -66,6 +67,7 @@ Manufacturer "Xerox"
                 } {
                     #import "manualduplex.defs"
                     ModelName "Phaser 3120"
+                    Attribute "1284DeviceID" "" "MFG:Xerox;MDL:Phaser 3120;CMD:GDI;"
                     PCFileName "ph3120.ppd"
                 } {
                     #import "manualduplex.defs"
@@ -74,6 +76,7 @@ Manufacturer "Xerox"
                 } {
                     #import "manualduplex.defs"
                     ModelName "Phaser 3130"
+                    Attribute "1284DeviceID" "" "MFG:Xerox;MDL:Phaser 3130;CMD:PCL5E,PCL6;"
                     PCFileName "ph3130.ppd"
                 } {
                     // Multi-tray
@@ -118,6 +121,7 @@ Manufacturer "Xerox"
 
             {
                 ModelName "Phaser 3117"
+                Attribute "1284DeviceID" "" "MFG:Xerox;MDL:Phaser 3117;CMD:GDI;"
                 PCFileName "ph3117.ppd"
             } {
                 Resolution k 1 0 0 0 "1200x600dpi/1200x600 DPI"
@@ -131,6 +135,7 @@ Manufacturer "Xerox"
 
                 {
                     ModelName "Phaser 3124"
+                    Attribute "1284DeviceID" "" "MFG:Xerox;MDL:Phaser 3124;CMD:GDI;"
                     PCFileName "ph3124.ppd"
                 }
             }
